Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class ServiceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.payment.PaymentException
                      com.beasys.commerce.ebusiness.payment.ServiceUnavailableException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class ServiceUnavailableException

extends PaymentException

Represents the condition when the link to the service provider is not available. In this situation, the transaction gets logged by the system and the user is notified

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`ServiceUnavailableException(String namespace, String messageKey)` Deprecated Create a ServiceUnavailableException with namespace and messageKey.
`ServiceUnavailableException(String namespace, String messageKey, TransactionResponse response)` Deprecated Create a ServiceUnavailableException with the response object.

Method Summary

Methods inherited from class com.beasys.commerce.ebusiness.payment.PaymentException
`getResponse`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUnavailableException

    public ServiceUnavailableException(String namespace,
                                       String messageKey)

  Deprecated
  Create a ServiceUnavailableException with namespace and messageKey.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.

### ServiceUnavailableException

    public ServiceUnavailableException(String namespace,
                                       String messageKey,
                                       TransactionResponse response)

  Deprecated
  Create a ServiceUnavailableException with the response object.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `response` - The service provider specifc response object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.